package com.test;

import javax.ejb.*;

/**
 * @author <a href="mailto:rajbirsb@gmail.com">Rajbir Singh</a>
 * @version $Revision$, $Date$, $Author$
 * @since Jun 10, 2008
 */
@Remote(StatefulIntf.class)
@Stateful(name = "statefulPssivationBean", mappedName = "statefulPssivationBean")
public class StatefulBean implements StatefulIntf
{
    private int count;

    public StatefulBean()
    {
        System.out.println("StatefulBean.StatefulBean");
    }

    public void bizMeth1()
    {
        System.out.println("StatefulBean.bixxMeth1 Thread->"+Thread.currentThread().getId());
        System.out.println("++count = " + ++count);
    }

    @PrePassivate
    public void prePassivate(){
        System.out.println("StatefulBean.prePassivate");
    }

    @PostActivate
    public void postActivate(){
        System.out.println("StatefulBean.postActivate");
    }
}
